Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027797
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2014-10-08 13:262018-11-06 17:13
ReporterlorenzofidalgoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8296d4aee5c5
ProjectionnoneETAnoneTarget Versionmain
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browserGoogle Chrome
ModulesCore
Regression levelPackaging and release
Regression date2014-09-01
Regression introduced in releasemain
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/995ac17cabcc53a163a216649341299e418645ba [^]
Triggers an Emergency PackNo
Summary

0027797: Create from shipment window does not let you to click in OK if you have tried before to click it without filling mandatory field

DescriptionCreate from shipment window does not let you to click in OK or Cancel buttons if you have tried before to click it without filling mandatory field.

It depends on the flow you choose.
Steps To ReproduceCreate a sales order with some products and book it.
Go to Goods Shipment - Header -> Save a record there.
Then click "Create Lines From". In that window, you will have the "Business Partner" field filled. Then select the order in "Order" field. Click OK (without selecting warehouse). OK and Cancel will be disabled.
Then you can select a warehouse, but Ok and Cancel buttons will not be enabled even if you check off the line.
To continue you have to select another Order or recreate the "Create from shipment" window
TagsNo tags attached.
Attached Filespng file icon Create from Shipment issue.png [^] (130,504 bytes) 2014-10-08 13:26

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00265613.0PR14Q4 closedAtulOpenbravo Double click in create lines from in Goods receipt is not controlled and duplicate lines 
related to defect 00324953.0PR16Q4 closedNaroaIriarte Process creating multiple product lines while pressing several times "OK" button 

-  Notes
(0070827)
hgbot (developer)
2014-10-09 10:08

Repository: erp/devel/pi
Changeset: 8296d4aee5c5124695c31a1aa8bcf6a539a080d9
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Oct 09 12:46:52 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8296d4aee5c5124695c31a1aa8bcf6a539a080d9 [^]

Fixes Issue 27797:Create from shipment window does not let you to click in OK
if you have tried before to click it without filling mandatory field

Problem: disable double click on Ok and Cancel button was done before
validation.

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Shipment.html
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_ShipmentPO.html
---
(0070828)
vmromanos (developer)
2014-10-09 10:10

Code review + testing OK
(0070829)
AtulOpenbravo (developer)
2014-10-09 10:19

Test Plan
- Create a sales order with some products and book it.
- Go to Goods Shipment - Header -> Save a record there.
- Then click "Create Lines From". In that window, you will have the "Business Partner" field filled. Then select the order in "Order" field. Click OK (without selecting warehouse). Validation message will be displayed.[Check that Ok and Cancel button are still enabled].
- Now select a warehouse bin and do not select any line click on Ok, Validation message will be displayed.[Check that Ok and Cancel button are still enabled].
- Now select line, After clicking Ok, Before pop up window gets closed OK button will get disabled and selected lines will get added in the Shipment lines.
(0072920)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-08 13:26 lorenzofidalgo New Issue
2014-10-08 13:26 lorenzofidalgo Assigned To => dmiguelez
2014-10-08 13:26 lorenzofidalgo File Added: Create from Shipment issue.png
2014-10-08 13:26 lorenzofidalgo Web browser => Google Chrome
2014-10-08 13:26 lorenzofidalgo Modules => Core
2014-10-08 13:26 lorenzofidalgo Triggers an Emergency Pack => No
2014-10-08 13:52 lorenzofidalgo Web browser Google Chrome => Google Chrome
2014-10-08 13:52 lorenzofidalgo Regression level => Packaging and release
2014-10-08 13:52 lorenzofidalgo Regression introduced in release => main
2014-10-09 09:17 AtulOpenbravo Assigned To dmiguelez => AtulOpenbravo
2014-10-09 09:17 AtulOpenbravo Status new => scheduled
2014-10-09 09:17 AtulOpenbravo fix_in_branch => pi
2014-10-09 10:07 vmromanos Web browser Google Chrome => Google Chrome
2014-10-09 10:07 vmromanos Regression date => 2014-09-01
2014-10-09 10:07 vmromanos Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/995ac17cabcc53a163a216649341299e418645ba [^]
2014-10-09 10:07 vmromanos fix_in_branch pi =>
2014-10-09 10:08 hgbot Checkin
2014-10-09 10:08 hgbot Note Added: 0070827
2014-10-09 10:08 hgbot Status scheduled => resolved
2014-10-09 10:08 hgbot Resolution open => fixed
2014-10-09 10:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8296d4aee5c5124695c31a1aa8bcf6a539a080d9 [^]
2014-10-09 10:10 vmromanos Review Assigned To => vmromanos
2014-10-09 10:10 vmromanos Note Added: 0070828
2014-10-09 10:10 vmromanos Status resolved => closed
2014-10-09 10:19 AtulOpenbravo Note Added: 0070829
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072920
2018-11-06 17:13 rafaroda Relationship added related to 0026561
2018-11-06 17:13 rafaroda Relationship added related to 0032495


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker